TIBCO EMS .NET API 8.5 TIBCO EMS .NET API 8.5

- Main Page
- Related Pages
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Properties | List of all members
TIBCO.EMS.ADMIN.TopicInfo Class Reference

This class represents a topic that is configured on the EMS server. More...

Inheritance diagram for TIBCO.EMS.ADMIN.TopicInfo:

## Public Member Functions
| TopicInfo (string topicName)
| The public constructor creates a TopicInfo object with the given name. More...
void | AddExportTransport (string transportName)
| Add a new export transport to the list of transports this destination exports messages to. More...
void | RemoveExportTransport (string transportName)
| Remove an export transport from the list of transports this destination exports messages to. More...
override string | ToString ()
| Returns a String that represents the current Object More...
Public Member Functions inherited from TIBCO.EMS.ADMIN.DestinationInfo
void | AddImportTransport (string transportName)
| Add a new import transport to the list of transports this destination imports messages from. More...
void | RemoveImportTransport (string transportName)
| Remove an import transport from the list of transports this destination imports messages from. More...
string | StatString ()
| Helper method that generates the statistical information in the form of a string. More...

## Properties
string[] | ExportTransports`[get]`
| Get the names of the transports that this topic exports messages on. More...
int | SubscriptionCount`[get]`
| Get the current number of subscriptions for this topic. More...
int | DurableSubscriptionCount`[get]`
| Get the current number of durable subscriptions for this topic. More...
int | SubscriberCount`[get]`
| Get the current number of active subscribers for this topic. More...
int | DurableCount`[get]`
| Use TopicInfo.DurableSubscriptionCount instead More...
int | ActiveDurableCount`[get]`
| Get the current number of active durable subscribers for this topic. More...
string | Channel`[get, set]`
| Get or set the multicast channel for this topic. More...
bool | ChannelInherited`[get]`
| Determine if the channel property was inherited from a parent topic or set directly for this topic. More...
bool | MulticastEnabled`[get]`
| Determine if this topic is multicast-enabled. More...
bool | ExportTransportsInherited`[get]`
| Determines if the list of transports this topic exports messages on was inherited from a parent topic or whether it was set on the topic directly. More...
Properties inherited from TIBCO.EMS.ADMIN.DestinationInfo
string[] | JNDINames`[get]`
| Get the array of JNDI names for this destination. More...
string | Name`[get]`
| Get the name of this destination. More...
string | Description`[get, set]`
| Get or set the description of this destination. More...
bool | Failsafe`[get, set]`
| Get or set the failsafe property of this destination. More...
bool | FailsafeInherited`[get]`
| Determine if the failsafe property was inherited from a parent destination or set directly for this destination. More...
bool | Secure`[get, set]`
| Get or set the secure property of this destination. More...
bool | SecureInherited`[get]`
| Determine if the secure property was inherited from a parent destination or set directly for this destination. More...
bool | Global`[get, set]`
| Get or set the global property of this destination. More...
bool | GlobalInherited`[get]`
| Determine if the global property was inherited from a parent destination or set directly for this destination. More...
int | Prefetch`[get, set]`
| Get or set the number of messages prefetched by the EMS client from the server to improve efficiency. More...
bool | PrefetchInherited`[get]`
| Determine if the prefetch setting for this queue is inherited from a parent queue. More...
string[] | ImportTransports`[get]`
| Get the names of the transports that this destination imports messages from. More...
BridgeTarget[] | BridgeTargets`[get]`
| Get the target destinations that this destination bridges to. More...
bool | SenderName`[get, set]`
| Get or set sender_name property for this destination. More...
bool | SenderNameInherited`[get]`
| Indicates whether or not the sender_name property is inherited. More...
bool | SenderNameEnforced`[get, set]`
| Get or set sender_name_enforced property. More...
bool | SenderNameEnforcedInherited`[get]`
| Indicates whether or not the sender_name_enforced is inherited. More...
long | MaxBytes`[get, set]`
| Get or set the maximum number of message bytes that the server will store for pending messages bound for this destination. More...
bool | MaxBytesInherited`[get]`
| Determine if the maxBytes property was inherited from a parent destination or set directly for this destination. More...
long | MaxMsgs`[get, set]`
| Get or set the maximum number of messages that the server will store for pending messages bound for this destination. More...
bool | MaxMsgsInherited`[get]`
| Determine if the maxMsgs property was inherited from a parent destination or set directly for this destination. More...
OverflowPolicyType | OverflowPolicy`[get, set]`
| Get or set the overflow policy for this destination. More...
bool | OverflowPolicyInherited`[get]`
| Determine if the overflowPolicy property was inherited from a parent destination or set directly for this destination. More...
byte | MsgTrace`[get, set]`
| Get or set the level of message tracing for this destination. More...
bool | MsgTraceInherited`[get]`
| Determine if the message trace property was inherited from a parent destination or set directly for this destination. More...
long | FlowControlMaxBytes`[get, set]`
| Get or set the volume of pending messages (in bytes) at which flow control is enabled for this destination. More...
bool | FlowControlMaxBytesInherited`[get]`
| Determine if the flowControlMaxBytes property was inherited from a parent destination or set directly for this destination. More...
bool | Static`[get]`
| Determine if this destination is static. More...
bool | Temporary`[get]`
| Determine if this destination is temporary. More...
long | ConnectionID`[get]`
| Get a temporary destination's connection ID. More...
long | PendingMessageCount`[get]`
| Get the total number of pending messages for this destination. More...
long | PendingMessageSize`[get]`
| Get the total size for all pending messages for this destination. More...
long | PendingPersistentMessageCount`[get]`
| Get the total number of pending messages for this destination that were sent persistently. More...
long | PendingPersistentMessageSize`[get]`
| Get the total size for all pending messages for this destination that were sent persistently. More...
int | ConsumerCount`[get]`
| Get the number of consumers for this destination. More...
StatData | InboundStatistics`[get]`
| Get inbound statistics for this destination. More...
StatData | OutboundStatistics`[get]`
| Get outbound statistics for this destination. More...
long | ExpiryOverride`[get, set]`
| Get or set the expiry override for this destination. More...
bool | ExpiryOverrideInherited`[get]`
| Determine if the expiry override property was inherited from a parent destination or set directly for this destination. More...
long | RedeliveryDelay`[get, set]`
| Get or set the redelivery delay for this queue. More...
bool | RedeliveryDelayInherited`[get]`
| Determine if the redelivery delay property was inherited from a parent queue or set directly for this queue. More...
string | Store`[get, set]`
| Set or Get the store of this destination. More...
bool | StoreInherited`[get]`
| Determine if the store property was inherited from a parent destination or set directly for this destination. More...
bool | ImportTransportsInherited`[get]`
| Determines if the list of transports this destination imports messages from was inherited from a parent destination or whether it was set on the destination directly. More...
bool | BridgeTargetsInherited`[get]`
| Determines if the list of targets was inherited from a parent destination or whether it was set on the destination directly. More...

## Additional Inherited Members
Public Attributes inherited from TIBCO.EMS.ADMIN.DestinationInfo
const int | PREFETCH_NONE = - 1
| Indicates no messages will be prefetched into the EMS client. More...
const int | PREFETCH_DEFAULT = 0
| Indicates that the default number of messages will be prefetched into the EMS client. More...
const byte | MSG_TRACE_NONE = (byte) (0x00)
| Indicates that messages will not be traced. More...
const byte | MSG_TRACE_BASIC = (byte) (0x01)
| Indicates that message sequence number and message ID will be traced. More...
const byte | MSG_TRACE_DETAIL = (byte) (0x03)
| Indicates that the message body will be traced in addition to the message sequnce number and message ID, . More...

## Detailed Description

This class represents a topic that is configured on the EMS server.

## Constructor & Destructor Documentation

TIBCO.EMS.ADMIN.TopicInfo.TopicInfo | ( | string | topicName | ) |
| inline

The public constructor creates a TopicInfo object with the given name.

The topic is not created on the server until the object is passed to Admin.CreateTopic().

Parameters

  topicName | The name for the topic being created.

## Member Function Documentation

void TIBCO.EMS.ADMIN.TopicInfo.AddExportTransport | ( | string | transportName | ) |
| inline

Add a new export transport to the list of transports this destination exports messages to.

If the current list of transports has been inherited from a parent topic then adding a transport will stop the inheritance and the inherited transports will all be removed from the list and replaced with the new one. From then on ExportTransportsInherited will indicate that the transports are no longer inherited and future calls to addExportTransport will simply add new transports to the list.

Parameters

  transportName | the name of the transport.

Exceptions

  AdminInvalidNameException | if transportName is not a legal transport name

void TIBCO.EMS.ADMIN.TopicInfo.RemoveExportTransport | ( | string | transportName | ) |
| inline

Remove an export transport from the list of transports this destination exports messages to.

The removal of a transport from the list if the transports are inherited from a parent topic is not permitted and results in an exception.

Parameters

  transportName | the name of the transport.

Exceptions

  AdminInvalidNameException | if transportName is not a legal transport name
  AdminException | if export transports is inherited

override string TIBCO.EMS.ADMIN.TopicInfo.ToString | ( |  | ) |
| inline

Returns a String that represents the current Object

## Property Documentation

int TIBCO.EMS.ADMIN.TopicInfo.ActiveDurableCount
| get

Get the current number of active durable subscribers for this topic.

This value is correct when this TopicInfo was retrieved from the server through Admin methods. It is never updated. To get an updated value, a new TopicInfo must be retrieved from the server.

Returns
  the number of active durable subscribers for this queue when the TopicInfo was retrieved from the server.

string TIBCO.EMS.ADMIN.TopicInfo.Channel
| get set

Get or set the multicast channel for this topic.

Returns
  the multicast channel for this topic.

Deprecated:
  As of release 8.3

bool TIBCO.EMS.ADMIN.TopicInfo.ChannelInherited
| get

Determine if the channel property was inherited from a parent topic or set directly for this topic.

Returns
  true if the channel property was inherited.

Deprecated:
  As of release 8.3

int TIBCO.EMS.ADMIN.TopicInfo.DurableCount
| get

Use TopicInfo.DurableSubscriptionCount instead

Returns
  the number of durable subscribers for this queue when the TopicInfo was retrieved from the server.

Deprecated:
  Use TopicInfo.DurableSubscriptionCount instead

int TIBCO.EMS.ADMIN.TopicInfo.DurableSubscriptionCount
| get

Get the current number of durable subscriptions for this topic.

This value is correct when this TopicInfo was retrieved from the server through Admin methods. It is never updated. To get an updated value, a new TopicInfo must be retrieved from the server.

Returns
  the number of durable subscriptions for this topic when the TopicInfo was retrieved from the server.

Since EMS 8.0

string [] TIBCO.EMS.ADMIN.TopicInfo.ExportTransports
| get

Get the names of the transports that this topic exports messages on.

Returns
  array of transport names.

bool TIBCO.EMS.ADMIN.TopicInfo.ExportTransportsInherited
| get

Determines if the list of transports this topic exports messages on was inherited from a parent topic or whether it was set on the topic directly.

Returns
  true if transport list is inherited from parent, false otherwise.

bool TIBCO.EMS.ADMIN.TopicInfo.MulticastEnabled
| get

Determine if this topic is multicast-enabled.

A topic is multicast-enabled when its channel property is set or inherited and the server is multicast-enabled.

Returns
  true if this topic is multicast-enabled.

Deprecated:
  As of release 8.3

int TIBCO.EMS.ADMIN.TopicInfo.SubscriberCount
| get

Get the current number of active subscribers for this topic.

This value is correct when this TopicInfo was retrieved from the server through Admin methods. It is never updated. To get an updated value, a new TopicInfo must be retrieved from the server.

Returns
  the number of active subscibers for this queue when the TopicInfo was retrieved from the server.

int TIBCO.EMS.ADMIN.TopicInfo.SubscriptionCount
| get

Get the current number of subscriptions for this topic.

This value is correct when this TopicInfo was retrieved from the server through Admin methods. It is never updated. To get an updated value, a new TopicInfo must be retrieved from the server.

Returns
  the number of subscriptions for this topic when the TopicInfo was retrieved from the server.

Since EMS 8.0